--NECB PvE localized cast/cooldown Database; Afflictions are still stored in MAIN programme!


-- Add new internal spell names here from now on, pls :D

if ( GetLocale() == "zhTW" ) then

    -- Spell Interruptions
    NECB_Interruptions = "地震術, 鑿擊, 突襲, 昏迷, 攔截昏迷, 驅散射擊, 戰爭踐踏, 變豬術, 恐懼, 制裁之錘, 悶棍, 衝鋒擊昏, 昏迷衝擊, 昏迷猛擊, 誘惑, 腎擊, 偷襲, 震盪猛擊, 強化震盪射擊, 翼龍釘刺, 復仇昏迷, 破膽怒吼, 變龜術, 心靈尖嘯, 重擊, 衝擊波, 束縛不死生物, 放逐術, 致盲, 精神控制";


    CEnemyCastBar_Afflictions = {

    -- Warning: only add Spells with the "CEnemyCastBar_SPELL_AFFLICTED" pattern here!
    -- fragile="true", if mob with the same name dies, the bar won't be removed
    -- multi="true", the bar is not removed if debuff fades earlier (usefull if one spell is allowed to produce multiple afflictions)
    -- stun="true", flags all spells which use the same Diminishing Return timer. These 8 Spells were tested to use one and the same timer.
        -- stuntype="true", forces non stun="true" CastBars to use the stun-color
    -- death="true", removes the castbar although it is a "fragile"
    -- periodicdmg="true" -> don't update and remove those castbars, only allows periodic damage done by yourself
    -- spellDR="true", triggers a separate class DR Timer;
        -- always(!) use spellDR together with sclass="PlayersCLASS", or you will produce errors!
    -- affmob="true", this stun triggers a class specific DR Timer on a mob (not player), too
    -- drshare="name", all spells with the same drshare name will trigger the same DR Timer called 'name'
    -- checkclass="classname", will only show this spell to specified class
    -- tskill={talentTab, talentNumber, talentTimeBonus, talentClass, offset, relativeTimeBonus(optional) }, adds "talentTimeBonus" to the duration of this skill depending on invested skillpoints! "Offset" is additionally added to the duration if at least one talentpoint is invested.
    -- more to tskill: if "talentTimeBonus" is 0 then the relativeTimeBonus(optional) is used (percentage), needed for hunters talent
    -- plevel={durationBonusPerSkillLevel, PlayerLevelAbleToLearnNewSkillLevel (e.g. 60, 40, 20), exchangeLowestLevelWith "0" ALWAYS!} (correct examples are below)
    -- aZone="InstanceName" to only allow this spell to trigger a CastBar in the specific (Main)Zone. (Not the minimap zone, but the big global Zone e.g. Stormwind, not Trade District! Example: aZone="Ahn'Qiraj"
    -- blockZone="ZoneName" blocks the spell for the specified Zone (example: blockZone="Ahn'Qiraj" for 'Entangling Roots')
	-- cpinterval=X, reduces spell duration by X for every ComboPoint lower than 5 (maximum); ALWAYS use with cpclass="CHARACTERCLASS"!
	-- callspell=SpellName, the update feature will use this spell instead
	-- norenew=true won't update or trigger a castbar for this spell on "UNIT_SPELLCAST_SUCCEEDED"
	-- flying=true will add some time to the renew buff/debuff miss/resist system depending on the distance to the target (flying spells need from 0,2 to 1,4 seconds to hit their target and return a message)
	-- notdetected=true, use for spells not detected by combatlog messages ONLY! Will trigger a bar only for the player who casted it.
	-- spellbreaker=true indicates that this bar shall only be triggered if a spell interruption of your target has been detected

        -- Naturfreund | Warrior Afflictions
        ["嘲諷"] = {t=3.0, multi="true", icontex="Spell_Nature_Reincarnation"};
        ["懲戒痛擊"] = {t=6.0, multi="true", icontex="Ability_Warrior_PunishingBlow"};
        ["挑戰怒吼"] = {t=6, multi="true", icontex="Ability_BullRush"};
        ["斷筋"] = {t=15.0, icontex="Ability_ShockWave"};
        ["刺耳怒吼"] = {t=6.0, icontex="Spell_Shadow_DeathScream"};
            ["盾擊 - 沉默"] = {t=4, solo="true", icontex="Ability_Warrior_ShieldBash"};
            ["震盪猛擊"] = {t=5, solo="true", stun="true", icontex="Ability_ThunderBolt"};
            ["衝鋒擊昏"] = {t=1, solo="true", stun="true", icontex="Ability_Warrior_Charge"};
            ["攔截昏迷"] = {t=3, solo="true", stun="true", icontex="Ability_Rogue_Sprint"};
            ["復仇昏迷"] = {t=3, solo="true", stuntype="true", icontex="Ability_Warrior_Revenge"};
            ["破膽怒吼"] = {t=8, solo="true", icontex="Ability_GolemThunderClap"};
            ["繳械"] = {t=10, solo="true", icontex="Ability_Warrior_Disarm"};
            ["致死打擊"] = {t=10, solo="true", icontex="Ability_Warrior_SavageBlow"};
        ["挫志怒吼"] = {t=30, checkclass="WARRIOR", icontex="Ability_Warrior_WarCry"};
        ["雷霆一擊"] = {t=30, checkclass="WARRIOR", icontex="Spell_Nature_ThunderClap"};
	["破甲攻擊"] = {t=30, checkclass="WARRIOR", icontex="Ability_Warrior_Sunder"};
	["挫敗"] = {callspell="破甲攻擊"}; -- translate! correct?
            -- periodic damage spells
                ["撕裂"] = {t=21, periodicdmg="true", icontex="Ability_Gouge"};
		-- not detected by combat log
			["盾擊"] = {t=6, notdetected=true, spellbreaker=true, icontex="Ability_Warrior_ShieldBash"};
			["拳擊"] = {t=4, notdetected=true, spellbreaker=true, icontex="INV_Gauntlets_04"};

        -- Naturfreund | Mage Afflictions
        ["衝擊波"] = {t=6.0, solo="true", stuntype="true", icontex="Spell_Holy_Excorcism_02"};
	      ["減速術"] = {t=15.0, icontex="Spell_Nature_Slow"};
		["祕法衝擊"] = {t=8, magecold="true", icontex="Spell_Arcane_Blast"};
            ["冰霜新星"] = {t=8.0, magecold="true", icontex="Spell_Frost_FrostNova"};
				["Freeze"] = {callspell="冰霜新星"}; --! translate mage pet spell
            ["霜寒刺骨"] = {t=5.0, magecold="true", icontex="Spell_Frost_FrostArmor"};
            ["冰凍"] = {t=6.0, magecold="true", icontex="Spell_Frost_FrostArmor02"};
            ["冰錐術"] = {t=8.0, magecold="true", icontex="Spell_Frost_Glacier"}; -- slightly improved with talents (+1 sec)
            ["寒冰箭"] = {t=10, magecold="true", flying=true, icontex="Spell_Frost_FrostBolt02"}; -- slightly improved with talents (+1 sec)
            ["深冬之寒"] = {t=15, magecold="true", icontex="Spell_Frost_ChillingBlast"};
            ["火焰易傷"] = {t=30, magecold="true", icontex="Spell_Fire_SoulBurn"};
        ["變形術"] = {t=50, plevel={10, 60, 40, 20, 0}, fragile="true", spellDR="true", drshare="變形術", sclass="MAGE", icontex="Spell_Nature_Polymorph"};
        ["變豬術"] = {t=50, plevel={10, 60, 40, 20, 0}, fragile="true", spellDR="true", drshare="變形術", sclass="MAGE", icontex="Spell_Magic_PolymorphPig"};
        ["變龜術"] = {t=50, plevel={10, 60, 40, 20, 0}, fragile="true", spellDR="true", drshare="變形術", sclass="MAGE", icontex="Ability_Hunter_Pet_Turtle"};
            ["法術反制 - 沉默"] = {t=4, solo="true", icontex="Spell_Frost_IceShock"};
            -- periodic damage spells
                ["火焰衝擊"] = {t=8, periodicdmg="true", icontex="Spell_Fire_SelfDestruct"};
		-- not detected by combat log
			["法術反制"] = {t=10, notdetected=true, spellbreaker=true, icontex="Spell_Frost_IceShock"};

        -- Naturfreund | Hunter Afflictions
        ["摔絆"] = {t=10, icontex="Ability_Rogue_Trip"};
            ["強化震盪射擊"] = {t=3, solo="true", stuntype="true", icontex="Spell_Frost_Stun"};
        ["冰凍陷阱效果"] = {t=20.0, plevel={5, 60, 40, 0}, tskill={3, 7, 0, "HUNTER", 0, 0.15}, fragile="true", spellDR="true", sclass="HUNTER", icontex="Spell_Frost_ChainsOfIce"};
        ["破甲虛弱"] = {t=7.0, checkclass="HUNTER", icontex="Ability_Hunter_SniperShot"};
        ["震盪射擊"] = {t=4, flying=true, icontex="Spell_Frost_Stun"};
        ["蝮蛇釘刺"] = {t=8, flying=true, checkclass="HUNTER", icontex="Ability_Hunter_AimedShot"};
	["反擊"] = {t=5, icontex="Ability_Warrior_Challange"};
	["毒蠍釘刺"] = {t=20, flying=true, checkclass="HUNTER", icontex="Ability_Hunter_CriticalShot"};
            ["翼龍釘刺"] = {t=12, flying=true, solo="true", icontex="INV_Spear_02"};
            ["驅散射擊"] = {t=4.0, flying=true, solo="true", icontex="Ability_GolemStormBolt"};
            -- periodic damage spells
                ["毒蛇釘刺"] = {t=15, flying=true, periodicdmg="true", icontex="Ability_Hunter_Quickshot"};

        -- Naturfreund | Priest Afflictions
        ["暗影易傷"] = {t=15, magecold="true", icontex="Spell_Shadow_ShadowBolt"};
        ["安撫心靈"] = {t=15, icontex="Spell_Holy_MindSooth"};
        ["束縛不死生物"] = {t=50, plevel={10, 60, 40, 0}, fragile="true", spellDR="true", sclass="PRIEST", icontex="Spell_Nature_Slow"};
	["精神控制"] = {t=60, fragile="true", spellDR="true", sclass="PRIEST", icontex="Spell_Shadow_ShadowWordDominate"};
            ["心靈尖嘯"] = {t=8, solo="true", icontex="Spell_Shadow_PsychicScream"};
            ["沉默"] = {t=5, solo="true", icontex="Spell_Shadow_ImpPhaseShift"};
            -- periodic damage spells
                ["暗言術：痛"] = {t=18, tskill={3, 4, 3, "PRIEST", 0}, periodicdmg="true", icontex="Spell_Shadow_ShadowWordPain"};
                ["噬靈瘟疫"] = {t=24, periodicdmg="true", icontex="Spell_Shadow_BlackPlague"};
                ["神聖之火"] = {t=10, periodicdmg="true", directhit="true", icontex="Spell_Holy_SearingLight"};
		["吸血之觸"] = {t=15, periodicdmg="true", icontex="Spell_Holy_Stoicism"};

        -- Naturfreund | Warlock Afflictions
			["Shadowfury"] = {t=2, solo="true", stun="true", icontex="Spell_Shadow_Shadowfury"}; --! translate
        ["放逐術"] = {t=30, plevel={10, 48, 0}, fragile="true", spellDR="true", sclass="WARLOCK", icontex="Spell_Shadow_Cripple"};
        -- Succubus
        ["誘惑"] = {t=15, fragile="true", spellDR="true", sclass="WARLOCK", drshare="誘惑, 恐懼術", icontex="Spell_Shadow_MindSteal"};
            ["恐懼術"] = {t=20, solo="true", spellDR="true", sclass="WARLOCK", drshare="誘惑, 恐懼術", icontex="Spell_Shadow_Possession"};
        ["疲勞詛咒"] = {t=12, icontex="Spell_Shadow_GrimWard"};
            ["語言詛咒"] = {t=30, checkclass="WARLOCK", icontex="Spell_Shadow_CurseOfTounges"};
            ["厄運詛咒"] = {t=60, checkclass="WARLOCK", icontex="Spell_Shadow_AuraOfDarkness"};
            -- periodic damage spells
                ["痛苦詛咒"] = {t=24, periodicdmg="true", icontex="Spell_Shadow_CurseOfSargeras"};
                ["腐蝕術"] = {t=18, periodicdmg="true", icontex="Spell_Shadow_AbominationExplosion"};
                ["獻祭"] = {t=15, periodicdmg="true", directhit="true", icontex="Spell_Fire_Immolation"};
                ["生命虹吸"] = {t=30, periodicdmg="true", icontex="Spell_Shadow_Requiem"};
		["腐蝕種子"] = {t=18, periodicdmg="true", icontex="Spell_Shadow_SeedOfDestruction"};
		["Unstable Affliction"] = {t=18, periodicdmg="true", icontex="Spell_Shadow_UnstableAffliction_3"}; --! translate

            ["暗影灼燒"] = {t=5, periodicdmg="true", icontex="Spell_Shadow_ScourgeBuild"}; -- special case

        -- Naturfreund | Rogue Afflictions
        ["致殘毒藥"] = {t=12, icontex="Ability_PoisonSting"};
	["Deadly Throw"] = {t=5.0, icontex="INV_ThrowingKnife_06"}; --! translate
        ["悶棍"] = {t=45, plevel={10, 48, 28, 0}, fragile="true", spellDR="true", sclass="ROGUE", drshare="悶棍, 鑿擊", icontex="Ability_Sap"};
            ["腎擊"] = {t=6, cpinterval=1, cpclass="ROGUE", solo="true", stuntype="true", spellDR="true", sclass="ROGUE", affmob="true", icontex="Ability_Rogue_KidneyShot"}; -- own DR
            ["偷襲"] = {t=4, solo="true", stun="true", icontex="Ability_CheapShot"};
            ["鑿擊"] = {t=4, tskill={2, 1, 0.5, "ROGUE", 0}, solo="true", stuntype="true", spellDR="true", sclass="ROGUE", drshare="悶棍, 鑿擊", icontex="Ability_Gouge"}; -- normal 4sec impr. 5.5sec (no DR)
            ["致盲"] = {t=10, solo="true", spellDR="true", sclass="ROGUE", icontex="Spell_Shadow_MindSteal"};
            ["腳踢 - 沉默"] = {t=2, solo="true", icontex="Ability_Kick"};
            ["還擊"] = {t=6, solo="true", icontex="Ability_Warrior_Disarm"};
            ["破甲"] = { t=30.0, checkclass="ROGUE", icontex="Ability_Warrior_Riposte" };
		["絞喉 - 沉默"] = {t=3, solo="true", icontex="Spell_Shadow_ImpPhaseShift"}; --! correct?
            -- periodic damage spells
                ["絞喉"] = {t=18, periodicdmg="true", icontex="Ability_Rogue_Garrote"};
                ["割裂"] = {t=16, cpinterval=2, cpclass="ROGUE", periodicdmg="true", icontex="Ability_Rogue_Rupture"};
		-- not detected by combat log
			["擾亂"] = {t=10, notdetected=true, icontex="Ability_Rogue_Distract"};
			["腳踢"] = {t=5, notdetected=true, spellbreaker=true, icontex="Ability_Kick"};

        -- Naturfreund | Druid Afflictions
        ["低吼"] = {t=3, multi="true", icontex="Ability_Physical_Taunt"};
        ["挑戰咆哮"] = {t=6, multi="true", icontex="Ability_Druid_ChallangingRoar"};
	["颶風術"] = {t=6, spellDR="true", sclass="DRUID", icontex="Spell_Nature_EarthBind"};
	["傷殘術"] = {t=6, cpinterval=1, cpclass="DRUID", spellDR="true", sclass="DRUID", solo="true", icontex="Ability_Druid_Mangle"};
        ["糾纏根鬚"] = {t=27, fragile="true", death="true", blockZone="安其拉", spellDR="true", sclass="DRUID", icontex="Spell_Nature_StrangleVines"};
        ["休眠"] = {t=40, plevel={10, 58, 38, 0}, fragile="true", spellDR="true", sclass="DRUID", icontex="Spell_Nature_Sleep"};
            ["重擊"] = {t=4, tskill={2, 4, 0.5, "DRUID", 0}, plevel={1, 46, 30, 0}, solo="true", stun="true", icontex="Ability_Druid_Bash"};
            ["突襲"] = {t=3, tskill={2, 4, 0.5, "DRUID", 0}, solo="true", stun="true", icontex="Ability_Druid_SupriseAttack"};
            ["野性衝鋒"] = {t=4, solo="true", icontex="Ability_Hunter_Pet_Bear"};
        ["精靈之火"] = {t=40, checkclass="DRUID", icontex="Spell_Nature_FaerieFire"};
        ["挫志咆哮"] = {t=30, checkclass="DRUID", icontex="Ability_Druid_DemoralizingRoar"};
	["割碎"] =	{t=12, checkclass="DRUID", icontex="Ability_Druid_Mangle2"};
	["Lacerate"] = {t=15, checkclass="DRUID", icontex="Ability_Druid_Lacerate"}; --! translate
            -- periodic damage spells
                ["蟲群"] = {t=12, periodicdmg="true", icontex="Spell_Nature_InsectSwarm"};
                ["月火術"] = {t=12, periodicdmg="true", directhit="true", icontex="Spell_Nature_StarFall"};
                ["撕扯"] = {t=12, periodicdmg="true", icontex="Ability_GhoulFrenzy"};
		["掃擊"] = {t=9, periodicdmg="true", icontex="Ability_Druid_Disembowel"};

        -- Naturfreund | Paladin Afflictions
            ["制裁之錘"] = {t=6, solo="true", stun="true", icontex="Spell_Holy_SealOfMight"};
            ["懺悔"] = {t=6, solo="true", icontex="Spell_Holy_PrayerOfHealing"};
	["Righteous Defense"] = {t=3.0, multi="true", icontex="INV_Shoulder_37"}; --! translate

        -- Naturfreund | Shaman Afflictions
        ["冰霜震擊"] = {t=8.0, magecold="true", spellDR="true", sclass="SHAMAN", icontex="Spell_Frost_FrostShock"};
            -- periodic damage spells
                ["烈焰震擊"] = {t=12, periodicdmg="true", directhit="true", icontex="Spell_Fire_FlameShock"};
		-- not detected by combat log
			["地震術"] = {t=2, notdetected=true, spellbreaker=true, icontex="Spell_Nature_EarthShock"};

		-- Naturfreund | Other Afflictions
		["戰爭踐踏"] = {t=2, solo="true", stun="true", icontex="Ability_WarStomp"};
		["Arcane Torrent"] = {t=2, solo="true", icontex="Spell_Shadow_Teleport"}; --! translate


    -- Naturfreund | Raidencounter Afflictions
    -- gobal="true" creates a castbar even without a target!
	-- have been moved into PvE section!

    -- REMOVALS
    -- just to remove the bar if this spell fades (t is useless here) | only the spells in "CEnemyCastBar_Afflictions" are checked by the "fade-engine"

        -- Other
        ["狂暴"] = {t=0, global="true"};
        [CECB_SPELL_STUN_DR] = {t=0}; -- don't translate, used internally! clear the dimishing return timer if mob dies


    }

end